Bug 1032437 - [fork][fork_ami_aerogear_push_942] aerogear app can't be accessed and missing some denpendencies after created.
[fork][fork_ami_aerogear_push_942] aerogear app can't be accessed and missing...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 03:22 EST by Yan Du
Modified: 2015-05-14 20:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 03:33:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-11-20 03:22:59 EST
Description of problem:
Shown below error after aerogear app created, and the app is not avaiable in web, just show  a blank page.


2013/11/19 22:39:58,490 ERROR [org.jboss.as] (MSC service thread 1-1) JBAS015875: JBoss AS 7.1.1.Final "Brontes" started (with errors) in 23064ms - Started 349 of 524 services (52 services failed or missing dependencies, 119 services are passive or on-demand)
2013/11/19 22:39:58,698 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 2) JBAS015870: Deploy of deployment "ROOT.war" was rolled back with failure message {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.persistenceunit.\"ROOT.war#unifiedpush-default\"jboss.naming.context.java.jboss.datasources.PushEEDSMissing[jboss.persistenceunit.\"ROOT.war#unifiedpush-default\"jboss.naming.context.java.jboss.datasources.PushEEDS]","jboss.persistenceunit.\"ROOT.war#picketlink-default\"jboss.naming.context.java.jboss.datasources.PushEEDSMissing[jboss.persistenceunit.\"ROOT.war#picketlink-default\"jboss.naming.context.java.jboss.datasources.PushEEDS]"]}
2013/11/19 22:39:58,990 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-2) JBAS015877: Stopped deployment ROOT.war in 303ms
2013/11/19 22:39:58,992 INFO  [org.jboss.as.controller] (DeploymentScanner-threads - 2) JBAS014774: Service status report
JBAS014775:    New missing/unsatisfied dependencies:
      service jboss.naming.context.java.jboss.datasources.PushEEDS (missing) dependents: [service jboss.persistenceunit."ROOT.war#unifiedpush-default", service jboss.persistenceunit."ROOT.war#picketlink-default"]
 
2013/11/19 22:39:58,997 ERROR [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) {"JBAS014653: Composite operation failed and was rolled back. Steps that failed:" => {"Operation step-2" => {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.persistenceunit.\"ROOT.war#unifiedpush-default\"jboss.naming.context.java.jboss.datasources.PushEEDSMissing[jboss.persistenceunit.\"ROOT.war#unifiedpush-default\"jboss.naming.context.java.jboss.datasources.PushEEDS]","jboss.persistenceunit.\"ROOT.war#picketlink-default\"jboss.naming.context.java.jboss.datasources.PushEEDSMissing[jboss.persistenceunit.\"ROOT.war#picketlink-default\"jboss.naming.context.java.jboss.datasources.PushEEDS]"]}}}



Version-Release number of selected component (if applicable):
fork_ami_aerogear_push_942



How reproducible:
Always



Steps to Reproduce:
1. Launch an fork instance (fork_ami_aerogear_push_942)
2. Create an aerogear app
  # rhc app create push2 aerogear-push-0
3. Visit the app in web



Actual results:

1. App can be accessed in web
2. Missing some denpendencies after the app created, shown the error as Description.
3. Full server.log has attached.



Expected results:
App should be avaiable in web and  no  such error show in the log.



Additional info:
Issue can't be reproduced by using download cartridge.
aerogear app can be created successfully and no error shown in log.

#rhc create-app app1 "https://cartreflect-claytondev.rhcloud.com/reflect?github=fjuma/openshift-origin-cartridge-aerogear-push" mysql-5.1 --no-git
Comment 1 Yan Du 2013-11-20 03:33:51 EST
Forget to add mysql-5.1 for aerogear app, After add mysql-5.1,  app works noramlly. pls. just ignore the issue. 
So sorry for my mistake.

Note You need to log in before you can comment on or make changes to this bug.